commit:     539abe6b27b67042f2067b3e495b30748411f79a
Author:     Yixun Lan <dlan <AT> gentoo <DOT> org>
AuthorDate: Wed Jun  3 02:57:13 2020 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Wed Jun  3 03:05:12 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=539abe6b

dev-util/crash: respect CC/AR variables

Closes: https://bugs.gentoo.org/724262
Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 dev-util/crash/crash-7.2.8-r1.ebuild | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/dev-util/crash/crash-7.2.8-r1.ebuild 
b/dev-util/crash/crash-7.2.8-r1.ebuild
new file mode 100644
index 00000000000..45bbff51590
--- /dev/null
+++ b/dev-util/crash/crash-7.2.8-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit toolchain-funcs
+
+DESCRIPTION="Red Hat crash utility; used for analyzing kernel core dumps"
+HOMEPAGE="https://people.redhat.com/anderson/";
+SRC_URI="https://people.redhat.com/anderson/${P}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="-* ~alpha ~amd64 ~arm ~ia64 ~ppc64 ~s390 ~x86"
+IUSE=""
+# there is no "make test" target, but there is a test.c so the automatic
+# make rules catch it and tests fail
+RESTRICT="test"
+
+src_prepare() {
+       sed -i -e "s|ar -rs|\${AR} -rs|g" Makefile || die
+       default
+}
+
+src_compile() {
+       emake \
+               CC="$(tc-getCC)" \
+               AR="$(tc-getAR)" \
+               CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"
+}

Reply via email to